StarObjectSmallGraphicInternal::SdrGraphicGraph Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicGraph Class Reference

Internal: virtual class to store a Sdr graphic graph. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicGraph:

## Public Member Functions
| SdrGraphicGraph ()
| constructor More...
virtual std::string | print () const
| basic print function More...
bool | send (STOFFListenerPtr listener, StarObject &object)
| try to send the graphic to the listener More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &object, STOFFListenerPtr listener) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
| SdrGraphicRect (int id)
| constructor More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicText
| SdrGraphicText (int id)
| constructor More...
void | updateTransformProperties (librevenge::RVNGPropertyList &list) const
| try to update the transformation More...
bool | sendTextZone (STOFFListenerPtr listener, StarObject &object)
| try to send the text zone to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &object, STOFFListenerPtr listener) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &, STOFFListenerPtr) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...

## Public Attributes
shared_ptr< StarGraphicStruct::StarGraphic > | m_graphic
| the graphic More...
STOFFBox2i | m_graphRectangle
| the rectangle More...
librevenge::RVNGString | m_graphNames [3]
| the name, filename, the filtername More...
bool | m_mirrored
| flag to know if the image is mirrored More...
bool | m_hasGraphicLink
| flag to know if the image has a graphic link More...
shared_ptr< StarItem > | m_graphItem
| the graph attributes More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicRect
int | m_eckRag
| the eckRag? More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicText
int | m_textKind
| the text kind More...
STOFFBox2i | m_textRectangle
| the text rectangle More...
int | m_textDrehWink
| the dreh wink: rotation? More...
int | m_textShearWink
| the shear wink More...
shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object More...
STOFFBox2i | m_textBound
| the text bound More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< shared_ptr< StarItem > > | m_itemList
| the list of star item More...
librevenge::RVNGString | m_sheetStyle
| the sheet style name More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicGraph const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic graph.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SdrGraphicGraph::SdrGraphicGraph | ( |  | ) |
| inline

constructor

## Member Function Documentation

virtual std::string StarObjectSmallGraphicInternal::SdrGraphicGraph::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicRect.

bool StarObjectSmallGraphicInternal::SdrGraphicGraph::send | ( | STOFFListenerPtr | listener,
|  | StarObject & | object
| ) |  |
| inlinevirtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicRect.

void StarObjectSmallGraphicInternal::SdrGraphicGraph::updateStyle | ( | STOFFGraphicStyle & | style,
|  | StarObject & | object,
|  | STOFFListenerPtr | listener
| ) |  | const
| inline

try to update the style

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SdrGraphicGraph const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

shared_ptr<StarGraphicStruct::StarGraphic> StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphic

the graphic

Referenced by StarObjectSmallGraphic::readSVDRObjectGraph().

shared_ptr<StarItem> StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphItem

the graph attributes

Referenced by StarObjectSmallGraphic::readSVDRObjectGraph().

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphNames[3]

the name, filename, the filtername

Referenced by StarObjectSmallGraphic::readSVDRObjectGraph().

STOFFBox2i StarObjectSmallGraphicInternal::SdrGraphicGraph::m_graphRectangle

the rectangle

Referenced by StarObjectSmallGraphic::readSVDRObjectGraph().

bool StarObjectSmallGraphicInternal::SdrGraphicGraph::m_hasGraphicLink

flag to know if the image has a graphic link

Referenced by StarObjectSmallGraphic::readSVDRObjectGraph().

bool StarObjectSmallGraphicInternal::SdrGraphicGraph::m_mirrored

flag to know if the image is mirrored

Referenced by StarObjectSmallGraphic::readSVDRObjectGraph().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx